package ai.pai.lensman.main;

import java.util.ArrayList;

import ai.pai.lensman.base.BasePresenter;
import ai.pai.lensman.base.BaseView;
import ai.pai.lensman.bean.SessionBean;

public class MainContract {

    interface View extends BaseView {

        void showOrderSnackBar();
        void showBoxDisconnectedView();
        void showBoxConnectedView();
        void showEmptyView();
        void showSessionViews();
        void updateSessionUploadViewAt(int position);
        void refreshSessionViews(ArrayList<SessionBean> sessionList);
        void setNewSessionBtnEnabled(boolean isEnabled);
    }

    interface Presenter extends BasePresenter{
        SessionBean createNewSession();

    }

}
